<?php

namespace FiloBlu\Storelocator\Model\Rma;

class Returntostore extends \Magento\Framework\Model\AbstractModel
{

    protected $orderRepository;
    protected $productRepository;
    protected $resourceModel;

    /**
     * Constructor
     */
    public function __construct(
        \Magento\Sales\Api\OrderRepositoryInterface $orderRepository , \Magento\Catalog\Model\ProductRepository $productRepository,  \Magento\Catalog\Model\ResourceModel\Product $resourceModel
    ) {
            $this->_orderRepository = $orderRepository;
            $this->_productRepository = $productRepository;
            $this->_resourceModel = $resourceModel;
    }

    public function getItemsCategoriesByOrderId($orderId = null)
    {
       $prodCats = array();
       if(!is_null($orderId)){
           $orderItems = $this->_orderRepository->get($orderId)->getAllItems();
           foreach($orderItems as $item){
                $productId = $item->getData('product_id');
                $product = $this->_productRepository->getById($productId);
                $prodCats[$productId] = $product->getCategoryIds();
            }
           return $prodCats;
       }
       return null;
    }
}
